Subject: Re: [OAUTH-WG] Working Group Last Call on Dynamic Client Registration Documents
From: Phil Hunt <[email-masked]>
To: Torsten Lodderstedt <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sun, 6 Apr 2014 08:26:42 -0700
List-Id: OAUTH WG <oauth.ietf.org>

Hmm. I think this issue is self evident to the developer

If they have obtained a client id through developer registration (current typical oauth) they are good to go. 

IOW If you have a client id issued out of band you are good to go. 

Otherwise look for dyn reg or some other method. This likely happens where clients connect to apis and/or protocols deployed by many service providers  eg OIDC. An emerging example I heard at ietf london was interest in adapting oauth to non web protocols like smtp, imap, pop and even jabber. 

Phil

> On Apr 6, 2014, at 0:59, Torsten Lodderstedt <[email-masked]> wrote:
> 
> I think it is at the discretion of the actual deployment whether clients may dynamically register or not (meaning they need to go through some oob mechanism). Protocols utilizing OAuth could make it part of their mandatory to implement features - in the same way OIDC does.
> 
> Best regards,
> Torsten.
>> Am 06.04.2014 um 07:12 schrieb Bill Mills <[email-masked]>:
>> 
>> To me the fundamental question of whether a client has to be registered in each place it is used is quite significant.  We don't address the problem and have not discussed it enough.
>> 
>> -bill
>> On Friday, April 4, 2014 11:39 PM, Torsten Lodderstedt <[email-masked]> wrote:
>> Hi Bill,
>> 
>> which scalability problem are you referring to? As far as I remember there were issues around the management API but not the core protocol.
>> 
>> regards,
>> Torsten.
>> 
>>> Am 04.04.2014 um 18:41 schrieb Bill Mills <[email-masked]>:
>>> 
>> 
>>> Given the fundamental scalability problem we discussed in London do we really feel we're ready?
>>> On Friday, April 4, 2014 3:07 AM, Hannes Tschofenig <[email-masked]> wrote:
>>> Hi all,
>>> 
>>> This is a Last Call for comments on the dynamic client registration
>>> documents:
>>> 
>>> * OAuth 2.0 Dynamic Client Registration Core Protocol
>>> http://tools.ietf.org/html/draft-ietf-oauth-dyn-reg-16
>>> 
>>> * OAuth 2.0 Dynamic Client Registration Metadata
>>> http://tools.ietf.org/html/draft-ietf-oauth-dyn-reg-metadata-00
>>> 
>>> Since we have to do the last call for these two documents together we
>>> are setting the call for **3 weeks**.
>>> 
>>> Please have your comments in no later than April 25th.
>>> 
>>> Ciao
>>> Hannes & Derek
>>> 
>>> _______________________________________________
>>> OAuth mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/oauth
>>> 
>>> 
>>> _______________________________________________
>>> OAuth mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/oauth
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth